<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE lire:report-spec PUBLIC
  "-//LogReport.ORG//DTD Lire Report Specification Markup Language V1.0//EN"
  "http://www.logreport.org/LRSML/1.0/lrsml.dtd">
<lire:report-spec xmlns:lire="http://www.logreport.org/LRSML/"
 superservice="ftp" id="tracked-users">

 <lire:title>Tracked Users FTP Report</lire:title>

 <lire:description>
  <para>This report shows each download for tracked users.</para>
 </lire:description>

 <lire:param-spec>

  <lire:param name="tracked_user_re" type="string" default=".*">
   <lire:description>
    <para>This parameter controls which user will be included
     in the report.
    </para>
   </lire:description>
  </lire:param>
  
 </lire:param-spec>

 <lire:display-spec>
  <lire:title>Downloads By Tracked User ($tracked_user_re)</lire:title>
 </lire:display-spec>

 <lire:filter-spec>
  <lire:match value="$username" re="$tracked_user_re" case-sensitive="no"/>
 </lire:filter-spec>

 <lire:report-calc-spec>
  <lire:group sort="-download">
   <lire:field name="username"/>
   <lire:count name="download"/>

   <lire:records fields="time filename"/>
  </lire:group>

 </lire:report-calc-spec>

</lire:report-spec>

<!-- 
Keep this comment at the end of the file
Local variables:
mode: xml
-->
